## javax.persistence
Interface Cache

    public interface Cache

Method Summary
`boolean` `contains(java.lang.Class cls, java.lang.Object primaryKey)`
`void` `evict(java.lang.Class cls)`
`void` `evict(java.lang.Class cls, java.lang.Object primaryKey)`
`void` `evictAll()`

Method Detail

### contains

    boolean contains(java.lang.Class cls,
                     java.lang.Object primaryKey)

### evict

    void evict(java.lang.Class cls,
               java.lang.Object primaryKey)

### evict

    void evict(java.lang.Class cls)

### evictAll

    void evictAll()